#!/bin/sh

# Get PHP version
phpver=`php -v | head --lines=1 | cut -d ' ' -f 2 | cut -d . -f 1,2`

ixedfile=ixed.${phpver}.lin
entry="extension=${ixedfile}"

#echo "PHPVER= $phpver"
#echo "FILE= $ixedfile"
#echo "ENTRY= $entry"

lines=`grep $entry /etc/php.ini | wc -l`

if [[ -f /usr/lib/php/modules/$ixedfile || -f /usr/lib64/php/modules/$ixedfile ]]; then
	echo "Sourceguardian extension found for PHP version $phpver"
else
	echo "No valid Sourceguardian extension found for PHP version $phpver"
	exit 0;
fi

if [ $lines = 0 ]; then
	echo "Adding Sourceguardian extension to php.ini"
	echo $entry >> /etc/php.ini
else
	echo "Sourceguardian extension already in php.ini"
fi

